Summary: Halified CUPS utilities 
Name: hal-cups-utils
Version: 0.6.9
Release: 1%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
Source1: cups-config-daemon
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel
BuildRequires: dbus-devel >= 0.60
BuildRequires: hal-devel >= 0.5.0
BuildRequires: dbus-devel >= 0.90
BuildRequires: dbus-glib-devel >= 0.70
BuildRequires: cups
BuildRequires: cups-devel
Requires: hal >= 0.5.0
Requires: dbus >= 0.90
Requires: cups
Requires: system-config-printer-libs >= 0.7.46

%description
Halified utilities for CUPS:
	- hal_lpadmin
	- hal CUPS backend

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -c -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/cups-config-daemon

%clean
rm -rf $RPM_BUILD_ROOT

%pre

/sbin/service cups-config-daemon stop > /dev/null 2>&1
/sbin/chkconfig --del cups-config-daemon > /dev/null 2>&1
exit 0

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/hal_lpadmin
/usr/lib/cups/backend/hal
%{_datadir}/hal/fdi/policy/10osvendor/10-hal_lpadmin.fdi
%{_initrddir}/cups-config-daemon

%changelog
* Thu May  3 2007 Tim Waugh <twaugh@redhat.com> 0.6.9-1
- 0.6.9:
  - Reverted hal backend printer state management and paper-out detection
    for the moment.

* Thu Apr 26 2007 Tim Waugh <twaugh@redhat.com> 0.6.8-1
- 0.6.8:
  - Several hal backend fixes (retry when device not connected,
    printer state management, paper-out detection).
  - Small hal_lpadmin fix for traceback.

* Wed Apr 25 2007 Tim Waugh <twaugh@redhat.com> 0.6.7-1
- 0.6.7:
  - Use usb: URI scheme when possible (bug #236720).
  - Prevent a traceback in hal_lpadmin (bug #232733).

* Mon Jan  8 2007 Tim Waugh <twaugh@redhat.com> 0.6.5-1
- Requires system-config-printer >= 0.7.46.
- 0.6.5:
  - Set PPD page size before adding printer (bug #221841).

* Thu Jan  4 2007 Tim Waugh <twaugh@redhat.com> 0.6.4-1
- 0.6.4:
  - Don't enable/disable existing printers.

* Tue Jan  2 2007 Tim Waugh <twaugh@redhat.com> 0.6.3-1
- 0.6.3:
  - Applied all patches.
  - Added syslogging.
  - Use 'hp:' URIs when appropriate (bug #175555).
  - Put PPD NickName in info line instead of just 'Added by HAL'.
  - Don't add/remove new printer if one already exists with a matching URI.

* Thu Nov  9 2006 Tim Waugh <twaugh@redhat.com> - 0.6.2-4.2
- IEEE 1284 Device ID in CUPS backend (bug #214755).

* Wed Nov  8 2006 Tim Waugh <twaugh@redhat.com> - 0.6.2-4.1
- Use printer.commandset when matching printers (bug #214180).
- Fixed HAL printer interface API name (bug #214598).

* Mon Sep 11 2006 Florian Festi <ffesti@redhat.com> - 0.6.2-4
- changed dbus URI from org/freedesktop/ to com/redhat/ to fit eggcups

* Tue Aug  1 2006 Tim Waugh <twaugh@redhat.com> - 0.6.2-3
- Fixed hal_lpadmin's CUPS URI (bug #200682).

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.6.2-2
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.6.2-1.1
- rebuild

* Mon Jun 19 2006 Florian Festi <ffesti@redhat.com> - 0.6.2-1
- bump to 0.6.2 (move hal_lpadmin to /usr/libexec to cope with hal weirdness)

* Fri Jun 09 2006 Florian Festi <ffesti@redhat.com> - 0.6.1-1
- bump to 0.6.1 (fixed hal policy file)
- added dummy init script for cups-config-daemon to fix the postun
  script of the 0.5.5 version

* Fri Jun 06 2006 Florian Festi <ffesti@redhat.com> - 0.6.0-1
- new implementation which obsoletes the cups-config-daemon

* Tue Mar 28 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.5-2
- Make sure backends install into /usr/lib and not /usr/lib64 

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.5.5-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.5.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 12 2006 Christopher Aillon <caillon@redhat.com> - 0.5.5-1
- New version, which makes sure we build the daemon with PIE

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 0.5.4-2.1
- rebuilt

* Tue Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.4-2
- rebuild for new dbus

* Tue Nov 29 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.4-1
- New version that fixes a couple of crashes and makes sure we 
  HUP cupsd

* Fri Mar 18 2005 Warren Togami <wtogami@redhat.com. - 0.5.3-3
- minor spec tweaks

* Mon Mar 07 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.3-1
- Add a build reqiures and requires for dbus >= 0.31
- Rebuild with HAL 0.5.0 and D-BUS 0.31
- Add hal fdi file to match printers to the hal_lpadmin callout

* Fri Mar 04 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.3-1
- Integrate patches and make 0.5.3 release

* Fri Mar 04 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-11
- Added get_udi_from_env patch which gets the UDI of the printer
  from the UDI env variable set by hal if the UDI is not given on 
  the command line
- Made sure fdi file installs in correct place and executes hal_lpadmin
  correctly
- changed the check if printer code to check string lists now

* Tue Mar 1 2005 Ray Strode <rstrode@redhat.com> - 0.5.2-10.newdbusapi.1
- install fdi file instead of hal callout files

* Fri Feb 25 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-10
- Added hal api and dbus api patch
- Don't restart if not already running in post

* Tue Feb 22 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-9
- For some reason -8 was never built into rawhide.  Bumping the 
  release to 9 and rebuilding for smooth upgrade from fc3

* Fri Oct 22 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-8
- use_usb_if_null patch makes sure that the make and model of the 
  printer is never null even if hal does not populate the
  printer.vendor and info.product fields.  (Bug #136666)
- (printer_update.hal, printer_remove.hal): Use $UDI instead of 
  $HAL_PROP_INFO_UDI which in some instances may not be populated

* Tue Oct 12 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-7
- Add MatchDriver DBUS method call patch so we can check if the printer has a driver

* Wed Oct 06 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-6
- Add Colin Walter's daemon patch
- Add BuildRequires for glib
- Add patch to take out gdk from configure.in
- Restart cups-config-daemon in the post

* Tue Oct 04 2004 John (J5) Palmieri <johnp@redhat.com>
- Patch now calls killall -SIGHUP cupsd if pid file is wrong or does not exist.
  This is mainly for older cups versions which do not output a pid file.

* Fri Oct 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Fixed sighup to check for sbin instead of bin for cupsd pid check

* Thu Sep 30 2004 John (J5) Palmieri <johnp@redhat.com>
- Patch to use sighup on cups instead of restarting it

* Tue Sep 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.2

* Tue Sep 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Chaned the hal callout srcipts to have a .hal extention 

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Add build requirement on dbus-devel and system-config-printer 

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.1

* Fri Aug 27 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.0

* Wed Aug 18 2004 John (J5) Palmieri <johnp@redhat.com>
- Updated to 0.4.0

* Thu Aug 11 2004 John (J5) Palmieri <johnp@redhat.com>
- Added the --enable-printconf flag to configure so that we autodetect drivers

* Thu Aug 11 2004 John (J5) Palmieri <johnp@redhat.com>
- Upgrade to version 0.3.1
- Add update-printer.sh and remove-printer.sh HAL callouts 

* Wed Jul 28 2004 John (J5) Palmieri <johnp@redhat.com>
- Initial checkin to package repository

